#!/bin/sh

if [ ! "`pwd`" = "/" ]; then ##Woof build
	echo "Installing PupMenu"

else ##Conventional PET install
	[ -f /usr/share/applications/video-info-glx.desktop ] && sed -i 's%Graphics/CPU%Graphics|CPU%' /usr/share/applications/video-info-glx.desktop
	[ -f /usr/local/PupMenu/bookmarks ] && grep -v '#' /usr/local/PupMenu/bookmarks >> $HOME/.pbookmarks/bookmarks && rm -f  /usr/local/PupMenu/bookmarks

	# Add perl Escape.pm for pRecent-files
	if [ -d /usr/lib/perl5 ]; then # quirky (32/64 bit), racy, wary and old slacko
	 cp -rf /tmp/perl/URI /usr/lib/perl5/5.*.* 2>/dev/null
	 cp -f /tmp/perl/Escape.pm /usr/lib/perl5/5.*.* 2>/dev/null
	fi
	if [ -d /usr/lib/perl ]; then # debian/ubuntu pups including precise, raring, tahrpup, tahrpup64, unicorn, wheezy
	 cp -rf /tmp/perl/URI /usr/lib/perl/5.*.* 2>/dev/null
	 cp -f /tmp/perl/Escape.pm /usr/lib/perl/5.*.* 2>/dev/null
	fi
	if [ -d /usr/share/perl5 ]; then # recent slacko, slacko64
	 cp -rf /tmp/perl/URI /usr/share/perl5 2>/dev/null
	 cp -f /tmp/perl/Escape.pm /usr/share/perl5 2>/dev/null
	fi
	if [ -d /usr/share/perl ]; then # alternate @INC
	 cp -rf /tmp/perl/URI /usr/share/perl/5.*.* 2>/dev/null
	 cp -f /tmp/perl/Escape.pm /usr/share/perl/5.*.* 2>/dev/null
	fi

	# Fix icon-paths in recent Pups
	if [ "`grep Slacko /etc/DISTRO_SPECS 2>/dev/null`" ]; then # Slacko
	 if [ -d /usr/share/pixmaps/puppy ]; then
	  sed -i 's/^.*Icon=.*$/Icon=\/usr\/share\/pixmaps\/puppy\/firewall.svg/' /usr/share/applications/firewallstate.desktop
	  sed -i 's/^.*Icon=.*$/Icon=\/usr\/share\/pixmaps\/puppy\/menu.svg/' /usr/share/applications/menumanager.desktop
	  sed -i 's/^.*Icon=.*$/Icon=\/usr\/share\/pixmaps\/puppy\/startup_app.svg/' /usr/share/applications/startupcontrol.desktop
	 fi
	fi
	if [ "`grep Wheezy /etc/DISTRO_SPECS 2>/dev/null`" ]; then # Wheezy
	 if [ -d /usr/share/pixmaps/puppy ]; then
	  sed -i 's/^.*Icon=.*$/Icon=\/usr\/share\/pixmaps\/puppy\/startup.svg/' /usr/share/applications/BootManager-configure-bootup.desktop 2>/dev/null
	  sed -i 's/^.*Icon=.*$/Icon=\/usr\/share\/pixmaps\/puppy\/font.svg/' /usr/share/applications/FontManager.desktop 2>/dev/null
	  sed -i 's/^.*Icon=.*$/Icon=\/usr\/share\/pixmaps\/puppy\/network.svg/' /usr/share/applications/ipinfo-network-information.desktop 2>/dev/null
	  sed -i 's/^.*Icon=.*$/Icon=squashfs-image.png/' /usr/share/applications/sfsconvert.desktop 2>/dev/null
	 fi
	fi
	if [ "`grep Raring /etc/DISTRO_SPECS 2>/dev/null`" ]; then # Raring
	  sed -i 's/^.*Icon=.*$/Icon=squashfs-image.png/' /usr/share/applications/sfsconvert.desktop 2>/dev/null
	fi

	# BK's Quirky requirements
	. /etc/DISTRO_SPECS
	if [[ $(echo $DISTRO_NAME | grep -i quirky) ]]; then
	  sed -i 's/^.*Icon=.*$/Icon=\/usr\/share\/mmarchitect\/icons\/mmarchitect_48.png/' /usr/share/applications/mmarchitect.desktop
	  sed -i 's/^.*Icon=.*$/Icon=\/usr\/share\/mmarchitect\/icons\/mmarchitect_48.png/' /usr/share/applications/mmarchitect-help.desktop
	  if [[ $(echo $DISTRO_NAME | grep '64') ]]; then # Quirky64
	    ln -sf /usr/lib64/libpng12.so.0.44.0 /usr/lib64/libpng14.so.14
	    ln -sf /usr/local/lib/X11/pixmaps/folder24.png /usr/local/lib/X11/pixmaps/folders24.png
	  else # Quirky32 symlinks for Recent-Files module of PupMenu
	    ln -snf /usr/share/perl/5.*/warnings /usr/share/perl5
	    ln -sf /usr/share/perl/5.*/Carp.pm /usr/share/perl5
	    ln -sf /usr/share/perl/5.*/Exporter.pm /usr/share/perl5
	    ln -sf /usr/share/perl/5.*/strict.pm /usr/share/perl5
	    ln -sf /usr/share/perl/5.*/vars.pm /usr/share/perl5
	    ln -sf /usr/share/perl/5.*/warnings.pm /usr/share/perl5
	  fi
	fi

	# Import old PupMenu bookmarks
	[ -f /usr/local/PupMenu/bookmarks ] && grep -v '#' /usr/local/PupMenu/bookmarks >> $HOME/.pbookmarks/bookmarks && rm -f  /usr/local/PupMenu/bookmarks

	Xdialog --title PupMenu --beep --msgbox "\n All files are installed... \n\n The PupMenu 'Ctrl+Shift+M' hotkey is available for \n IceWM, JWM, Fluxbox, Openbox and LXDE-LXPanel.  \n\n Go to PupMenu Preferences to select options. \n" 0 0 && exit 0
fi

#END
